#include "Font.h"

MyFont::MyFont() {
    if (!m_font.loadFromFile(std::string(ASSETS_PATH) +std::string(config::FONT_FILE)))
        throw std::runtime_error("Can't add font");
}

MyFont& MyFont::Instance() {
    static MyFont instance;
    return instance;
}

MyFont::operator const sf::Font&() const {
    return m_font;
}
