#pragma once

#include "SFML/Graphics.hpp"

struct IDrawable {
    virtual void draw_into(sf::RenderWindow& window) = 0;
    virtual ~IDrawable() = default;
};

struct IPreparable: public IDrawable {
    virtual void prepare_for_drawing() = 0;
};
