#include "MenuGame.h"
#include "../../../../config.h"
#include "../../State/ThemeManager.h"
#include "../../State/GameState.h"
#include "../DrawMenu/Font/Font.h"

MenuGame::MenuGame() {
}

void MenuGame::draw_into(sf::RenderWindow &window, const ScoreCount& scores_one, const ScoreCount& scores_two) {
    sf::Text m_title(config::SELECT_LEVEL_TITLE_WINDOW, MyFont::Instance(), 40);
    m_title.setFillColor(ThemeManager::Instance().getButtonScoreColor());
    m_title.setPosition(10.f, 55.f);
    window.draw(m_title);

    sf::Text player_one("Player 1: " + std::to_string(scores_one.get_player_one()), MyFont::Instance(), 30);
    player_one.setFillColor(ThemeManager::Instance().getButtonScoreColor());
    player_one.setPosition(10.f, 95.f);
    window.draw(player_one);

    sf::Text player_two("Player 2: " + std::to_string(scores_two.get_player_two()), MyFont::Instance(), 30);
    player_two.setFillColor(ThemeManager::Instance().getButtonScoreColor());
    player_two.setPosition(10.f, 125.f);
    window.draw(player_two);
}